<?php
if($this->session->userdata('is_logged_in')===FALSE){
            redirect('login');
}
?>
<div class="templatepopcentering" style="width:500px;margin-top: 1%;">
    <div id='pop' style="border: 1px solid #ffffff;">
        <div class="detil" style="padding: 4px;background-color: white;"> 
        <form id="frm_relaas_penggugat" style="padding: 4px;background:white;margin:0;" method="post" action="<?php echo base_url().'c_template_relaas_perdata/cetak_relaas_saksi';?>">
			<table id="" style="padding:10px;">
                <tr><td colspan="2" style="background:#5fb85c;padding:10px;color:#fff;text-align:center;">
            <?php 
                echo strtoupper($judul."<br/>Perkara ".$jnsperkara);
            ?>
                </td></tr>
				<tr>
                    <td class="templatepopleftcol">Tanggal Panggilan</td>
                    <td style="">
                       <input id="tglPanggil" name="tglPanggil" class="datepicker" maxlength="10" placeholder="tgl/bln/tahun" value="<?php echo $tglsidang;?>">
                    </td> 
                </tr>
				<tr>
                    <td class="templatepopleftcol">Nama JS/JSP<font color=red>*</font></td>
                    <td>
                        <span class="custom-dropdown custom-dropdown--emerald">
                            <select style='width:250px;'  name="idjurusita" id="idjurusita"  class="custom-dropdown__select custom-dropdown__select--white">
                                <?php                                
                                if($listJsp != ''){
                                    if($listJsp->num_rows>1){
                                        echo '<option value="-1">Pilih Nama JS/JSP</option>';
                                    }foreach ($listJsp->result() as $row) {
                                        $jurusita_id = base64_encode($this->encrypt->encode($row->jurusita_id));
                                        echo "<option value='".$jurusita_id."'>".$this->templatehelper->standradnaming($row->jurusita_nama)."</option>";
                                    }
                                }
                                ?>
                            </select>
                        </span>
                    </td> 
                </tr>
                <tr>
                    <td class="templatepopleftcol">Jabatan<font color=red>*</font></td>
                    <td>
                        <span class="custom-dropdown custom-dropdown--emerald">
                            <select style='width:250px;'  name="jabatanJS" id="jabatanJS"  class="custom-dropdown__select custom-dropdown__select--white">                                
                                <option value='1'>Jurusita</option>
                                <option value='2'>Jurusita Pengganti</option>
                            </select>
                        </span>
                    </td> 
                </tr>				
				<tr>
                    <td class="templatepopleftcol">Tanggal Persidangan<font color=red>*</font></td>
                    <td>
                        <input id="tglPersidangan" name="tglPersidangan" class="datepicker" maxlength="10" placeholder="tgl/bln/tahun" value="<?php echo $tglsidang;?>" disabled>                        
                    </td> 
                </tr>
				<tr>
					<td class="templatepopleftcol">Saksi Atas Permintaan<font color=red>*</font></td>
					<td>
						<span class="custom-dropdown custom-dropdown--emerald">
                            <select style='width:250px;'  name="atasPermin" id="atasPermin" class="custom-dropdown__select custom-dropdown__select--white">
                                <option value='-1'>Pilih Saksi Atas Permintaan</option>
                                <option value='1'>Penggugat</option>
                                <option value='2'>Tergugat</option>                                                                
                                <option value='3'>Hakim</option>
                                </select>
                        </span>
					</td>
				</tr>				
                <tr>
                    <td class="templatepopleftcol">Nama<font color=red>*</font></td>
                    <td>
                       <input id="namaSaksi" name="namaSaksi" type="text" class="templatepopinputtext">
                    </td>
                </tr>
                <tr>
                    <td class="templatepopleftcol">Pekerjaan<font color=red>*</font></td>
                    <td>
                       <input id="pekerjaanSaksi" name="pekerjaanSaksi" type="text" class="templatepopinputtext">
                    </td> 
                </tr>
                <tr>
                    <td class="templatepopleftcol">Alamat<font color=red>*</font></td>
                    <td>
                       <input id="alamatSaksi" name="alamatSaksi" type="text" class="templatepopinputtext">
                    </td> 
                </tr>
				<tr>
                    <td class="templatepopleftcol">Biaya Panggilan<font color=red>*</font></td>
                    <td>
                        <span class="custom-dropdown custom-dropdown--emerald">
                            <select style='width:250px;'  name="biayaPerkara" id="biayaPerkara" class="custom-dropdown__select custom-dropdown__select--white">
                                <?php
                                if($listBiaya != ''){
                                    if($listBiaya->num_rows>0){
                                        if($listBiaya->num_rows>1){
                                            echo "<option value='-1'>Pilih Biaya Perkara</option>";
                                        }
                                        foreach ($listBiaya->result() as $row) {                                    
                                            echo "<option value='".$row->id."'>".'Rp.'.$row->jumlah.'  '.'-'.$this->templatehelper->convertKeTglIndo($row->tanggal_transaksi)."</option>";
                                        }
                                    }else{
                                        echo "<option value='-1'>Mohon Mengisikan Biaya Terlebih Dahulu</option>";
                                    }
                                }else{
                                    echo "<option value='-1'>Mohon Mengisikan Biaya Terlebih Dahulu</option>";
                                }
                                ?>
                            </select>
                        </span>
                    </td> 
                </tr>
                <tr>
                    <td class="templatepopleftcol">PNBP Panggilan<font color=red>*</font></td>
                    <td>
                        <span class="custom-dropdown custom-dropdown--emerald">
                            <select style='width:250px;'  name="pnbpPerkara" id="pnbpPerkara" class="custom-dropdown__select custom-dropdown__select--white">
                                <?php
                                if($listPnbp != ''){
                                    if($listPnbp->num_rows>0){
                                        if($listPnbp->num_rows>1){
                                            echo "<option value='-1'>Pilih Biaya PNBP</option>";
                                        }
                                        foreach ($listPnbp->result() as $row) {                                    
                                            echo "<option value='".$row->id."'>".'Rp.'.$row->jumlah.'  '.'-'.$this->templatehelper->convertKeTglIndo($row->tanggal_transaksi)."</option>";                                  
                                        }
                                    }else{
                                            echo "<option value='-1'>Mohon Mengisikan Biaya PNBP</option>";
                                        }
                                }else{
                                    echo "<option value='-1'>Mohon Mengisikan Biaya PNBP</option>";
                                }
                                ?>
                            </select>
                        </span>
                    </td> 
                </tr>
                <tr>
					<td colspan="2" style="background:white;" align="center">
                        <input type="hidden" id="enc" name = 'enc' value="<?php echo $enc; ?>">
                        <input type="hidden" id="encjadwalsidang" name = 'encjadwalsidang' value="<?php echo $encjadwalsidang; ?>">
						<input type="hidden" id="enc" name = 'idsaksi' value="<?php echo $idsaksi; ?>">
                        <input type="button" id="kembali" value="Kembali" class="btn">
						<input type="submit" id="print_btn" value="Cetak" class="btn">
					</td>
				</tr>
            </table>
        </form>
        </div>
    </div>
</div>
<script type="text/javascript">
$('#kembali').closingFormWin();

$('#tglPanggil').datepicker({
            inline: true,
            showOtherMonths: true,
            dateFormat: 'dd/mm/yy',
            dayNamesMin: ['Ming', 'Sen', 'Sel', 'Rab', 'Kam', 'Jum', 'Sab'],
            beforeShowDay: $.datepicker.noWeekends,
            onSelect: function(dateText, inst) {
            	var date = $(this).datepicker('getDate');
            	var dayOfWeek = weekday[date.getDay()];
            	var error = 0;
            	var message ='';
            	if(dayOfWeek=='Sunday' || dayOfWeek=='Saturday'){
            		message ='Tidak Dapat Memilih diluar Hari Kerja.';
            		error = 1;
            	}
				error = 0;
        	}
    });

$('.datepicker').ValidateDateInput();

$('#frm_relaas_penggugat').submit(function(e) {	
    var tglPanggil = $("#tglPanggil").val();
    if(tglPanggil==''){
    	if(tglPanggil.length==0){        	
        message_error_show('Silahkan Mengisi Tanggal Panggilan Relaas');
        $("#tglPanggil").empty();
        e.preventDefault();
    	}
    }
    var tglPersidangan = $("#tglPersidangan").val();
    if(tglPanggil>=tglPersidangan){
        message_error_show('Tanggal Panggilan Tidak Boleh Sama/Melebihi Tanggal Persidangan');
        e.preventDefault();
    }
	var jurusita = $('#jurusita').val();
    if(jurusita==-1){
        message_error_show('Silahkan Pilih Nama Jurusita/Jurusita Pengganti');
        e.preventDefault();
    }    
    var tglPersidangan = $('#tglPersidangan').val();
    if(tglPersidangan==-1){
        message_error_show('Silahkan Pilih Tanggal Persidangan');
        e.preventDefault();
    }
    
    var alamatSaksi = $('#alamatSaksi').val();
        if(alamatSaksi.length==0){
            message_error_show('Silahkan Isi Alamat Saksi');
            e.preventDefault();
        }        
    var pekerjaanSaksi = $('#pekerjaanSaksi').val();
    	if(pekerjaanSaksi.length==0){
        	message_error_show('Silahkan Isi Pekerjaan Saksi');
        	e.preventDefault();
    	}
    var namaSaksi = $('#namaSaksi').val();
        if(namaSaksi.length==0){
            message_error_show('Silahkan Isi Nama Saksi');
            e.preventDefault();
        }
       
    var biayaPerkara = $('#biayaPerkara').val();
    if(biayaPerkara==-1){
        message_error_show('Silahkan Pilih Biaya Perkara');
        e.preventDefault();
    } 
    var atasPermin = $('#atasPermin').val();
    if(atasPermin==-1){
        message_error_show('Silahkan Pilih Atas Permintaan');
        e.preventDefault();
    }   
    var pnbpPerkara = $('#pnbpPerkara').val();
    if(pnbpPerkara==-1){
        message_error_show('Silahkan Pilih Biaya PNBP');
        e.preventDefault();
    }
    
});
</script>